unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, StdCtrls, ansiview;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    About1: TMenuItem;
    OpenDialog1: TOpenDialog;
    Search1: TMenuItem;
    ShowPages1: TMenuItem;
    mnPrnt: TMenuItem;
    FindDialog1: TFindDialog;
    am1: TAnsiView;
    procedure Exit1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure ShowPages1Click(Sender: TObject);
    procedure JumpMemo1JumpClick(Sender: TObject; JumpString: String);
    procedure Open1Click(Sender: TObject);
    procedure FindDialog1Find(Sender: TObject);
    procedure Search1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure mnPrntClick(Sender: TObject);
  private
    { Private declarations }
    CurPosY:longint;
//    am1 : TAnsiView;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}

procedure TForm1.Exit1Click(Sender: TObject);
begin
 Close;
end;

procedure TForm1.About1Click(Sender: TObject);
begin
// AboutBox.ShowModal;
end;

procedure TForm1.ShowPages1Click(Sender: TObject);
begin
 am1.ShowPages:=not ShowPages1.Checked;
 if ShowPages1.Checked then ShowPages1.Checked:=false
 else ShowPages1.Checked:=True;
end;

procedure TForm1.JumpMemo1JumpClick(Sender: TObject; JumpString: String);
begin
 ShowMessage('Cliked on word - "'+JumpString+'"');
end;

procedure TForm1.Open1Click(Sender: TObject);
begin
 if OpenDialog1.Execute then begin
  am1.LoadFromFile(OpenDialog1.FileName);
 end;
end;

procedure TForm1.FindDialog1Find(Sender: TObject);
var Down:boolean;
begin
 with FindDialog1 do
 begin
   Down:=frDown in Options;
   if not am1.Search(FindText,Down,CurPosY,CurPosY)then ShowMessage('Can`t find word "'+FindText+'"');
 end;
end;

procedure TForm1.Search1Click(Sender: TObject);
begin
 CurPosY:=am1.GetCurPos;
 FindDialog1.Execute;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
//  am1 := TAnsiView.Create(self);
//  am1.Parent := self;

  am1.Align := alClient;
  am1.Font.Name := 'fixedsys';
  am1.Font.Size := 11;
//  am1.Font.Style := [fsBold];
  am1.ScrollBars := ssBoth;
//  am1.Color := Color;
  am1.AnsiColor := clWhite;
  am1.AnsiBackGround := self.Color;
  ActiveControl := am1;
end;

procedure TForm1.mnPrntClick(Sender: TObject);
begin
  am1.Print('', 0,1,false, true);
end;


end.
